#
# spec file for package NOCpulsePlugins
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           NOCpulsePlugins
Version:        2.209.1
Release:        1.3
Summary:        NOCpulse authored Plug-ins
Url:            https://fedorahosted.org/spacewalk
Source0:        NOCpulsePlugins-git-a96abf6c7de1134056377c638d383e890444538d.tar.gz
BuildArch:      noarch
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Requires:       nocpulse-common
Group:          Development/Libraries
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package contain NOCpulse authored plug-ins for probes.



%package Oracle
License:        GPL v2 only
Summary:        NOCpulse plug-ins for Oracle
Group:          Development/Libraries
Requires:       %{name} = %{version}

%description Oracle
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package contain NOCpulse authored plug-ins for Oracle probes.



%prep
%setup -q -n NOCpulsePlugins-git-a96abf6c7de1134056377c638d383e890444538d

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/nocpulse
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/nocpulse/ProbeState

install -p -m 644 *.ini   $RPM_BUILD_ROOT%{_sysconfdir}/nocpulse
install -p -m 644 *.pm    $RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec
install -p -m 755 rhn-probe-status $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 rhn-catalog $RPM_BUILD_ROOT%{_bindir}
install -p -m 755 setTrending $RPM_BUILD_ROOT%{_bindir}

for pkg in Apache Apache/test General LogAgent MySQL NetworkService Oracle Oracle/test Satellite Unix Unix/test Weblogic 
do
  fulldir=$RPM_BUILD_ROOT%{_var}/lib/nocpulse/libexec/$pkg
  mkdir -p  $fulldir
  install -p -m 644 $pkg/*.pm $fulldir
done

# was only needed for the update case because of a moved home
#%post
#if [ $1 -eq 2 ]; then
#  ls /home/nocpulse/var/ProbeState/* 2>/dev/null | xargs -I file mv file %{_var}/lib/nocpulse/ProbeState
#fi

%files
%defattr(-,root,root,-)
%dir %{_sysconfdir}/nocpulse
%dir %attr(-, nocpulse,nocpulse) %{_var}/lib/nocpulse
%attr(-,nocpulse,nocpulse) %dir %{_var}/lib/nocpulse/ProbeState
%dir %attr(-, nocpulse,nocpulse) %{_var}/lib/nocpulse/libexec
%{_var}/lib/nocpulse/libexec/Apache*
%{_var}/lib/nocpulse/libexec/General*
%{_var}/lib/nocpulse/libexec/LogAgent*
%{_var}/lib/nocpulse/libexec/MySQL*
%{_var}/lib/nocpulse/libexec/NetworkService*
%{_var}/lib/nocpulse/libexec/Satellite*
%{_var}/lib/nocpulse/libexec/Unix*
%{_var}/lib/nocpulse/libexec/Weblogic*
%{_var}/lib/nocpulse/libexec/*.pm
%config %{_sysconfdir}/nocpulse/*
%{_bindir}/*

%files Oracle
%defattr(-,root,root,-)
%{_var}/lib/nocpulse/libexec/Oracle*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 14 2010 mantel@suse.de
- Initial release of NOCpulsePlugins
